#! /bin/bash

echo "Running ./project/image1.tcl script to rebuild project"
echo "Log files can be found in ./build_reports"

BUILD_DIR="./project/reports/trash"
BITSTREAM_DIR="./project/bitstream"

echo "Cleaning-up eventually ISE temporary files"
rm -r ./project/iseconfig
rm -r ./project/_xmsgs

if [ ! -d "$BUILD_DIR" ]; then
   echo "Creating not previously existing $BUILD_DIR"
   mkdir -p $BUILD_DIR
fi

if [ ! -d "$BITSTREAM_DIR" ]; then
   echo "Creating not previously existing $BITSTREAM_DIR"
   mkdir -p $BITSTREAM_DIR
fi

cd $BUILD_DIR
   echo "Executig tcl script from project folder"
   pwd
   xtclsh ../../image1.tcl rebuild_project
   wait
   echo "Log files are available"
   cp image1_top.bld ../ngd.log &
   cp image1_top.syr ../synthesis.log &
   cp image1_top_summary.html ../summary.html
cd ../../..

#echo "Updating bitstream"
#cp $BUILD_DIR $BITSTREAM_DIR

##echo "Removing trash folder"
##rm -r $BUILD_DIR
